.downstream_branch:
  trigger:
    branch: $CI_MERGE_REQUEST_SOURCE_BRANCH_NAME

.downstream_common_config:
  extends: .downstream_branch
  stage: test
  needs: ["oci-image-build"]
  inherit:
    variables: false
  variables:
    OCI_SKIP_PUSH: "true"
  trigger:
    strategy: depend

trigger-merge-ska-pst-integration:
  extends: .downstream_common_config
  variables:
    PST_DSP_OCI_REGISTRY: registry.gitlab.com/ska-telescope/pst/ska-pst-dsp
    PST_DSP_OCI_TAG: $PST_DSP_OCI_TAG
  trigger:
    project: ska-telescope/pst/ska-pst-integration
  when: manual